org.apache.jasper.compiler

## Class BeanRepository

- java.lang.Object
- - org.apache.jasper.compiler.BeanRepository

    public class BeanRepository
    extends Object

Repository of {page, request, session, application}-scoped beans

Author:
  Mandar Raje, Remy Maucherat

### Field Summary

Fields
`protected HashMap<String,String>` `beanTypes`
`protected ErrorDispatcher` `errDispatcher`
`protected ClassLoader` `loader`

### Constructor Summary

Constructors
Constructor and Description
`BeanRepository(ClassLoader loader, ErrorDispatcher err)` Constructor.

### Method Summary

Methods
`void` `addBean(Node.UseBean n, String s, String type, String scope)`
`boolean` `checkVariable(String bean)`
`Class<?>` `getBeanType(String bean)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### beanTypes

    protected HashMap<String,String> beanTypes

#### loader

    protected ClassLoader loader

#### errDispatcher

    protected ErrorDispatcher errDispatcher

### Constructor Detail

#### BeanRepository

    public BeanRepository(ClassLoader loader,
                  ErrorDispatcher err)

Constructor.

### Method Detail

#### addBean

    public void addBean(Node.UseBean n,
               String s,
               String type,
               String scope)
                 throws JasperException

Throws:
  `JasperException`

#### getBeanType

    public Class<?> getBeanType(String bean)
                         throws JasperException

Throws:
  `JasperException`

#### checkVariable

    public boolean checkVariable(String bean)